%filter_from_requires /^python2..._X11.$/d
%filter_from_requires /^python2..._SDL.$/d
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
BuildRequires: libXext-devel zlib-devel libfreetype-devel libX11-devel
%define oldname python-kaa-display
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-module-kaa-display
Version:        0.1.0
Release:        alt1_7
Summary:        Python API providing Low level support for various displays

Group:          Development/Python
License:        LGPLv2+
URL:            http://www.freevo.org/kaa
Source0:        http://downloads.sourceforge.net/freevo/kaa-display-%{version}.tar.gz
Patch0:         kaa-display-0.1.0-backport.patch
Patch1:         kaa-display-0.1.0-hack_imlib2_x11_support.patch

BuildRequires:  python-devel
BuildRequires:  python-module-kaa-base >= 0.1.2
BuildRequires:  python-module-kaa-imlib2 >= 0.2.0
BuildRequires:  python-module-pygame-devel >= 1.6.0
BuildRequires:  imlib2-devel >= 1.2.1
BuildRequires:  libSDL-devel >= 1.2.5
BuildRequires:  libXcomposite-devel
Source44: import.info

%description
Low level support for various displays, such as X11 or
framebuffer. Provides X11Display and X11Window classes for managing
X11 windows, with optional support for Imlib2 (render Imlib2 images to
X11 windows), and pygame (render Imlib2 images to pygame surfaces).


%prep
%setup -q -n kaa-display-%{version}
%patch0 -p1 -b .backport
%patch1 -p1 -b .hack

#Fix encoding
cp -pr AUTHORS AUTHORS.not-utf8
iconv -f ISO_8859-1 -t UTF8 AUTHORS.not-utf8 > AUTHORS
touch -r AUTHORS.not-utf8 AUTHORS
rm AUTHORS.not-utf8


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc AUTHORS ChangeLog COPYING README TODO
%{python_sitelibdir}/*


%changelog
* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_7
- initial fc import

